Lucene search

K
openvasCopyright (C) 2019 Greenbone AGOPENVAS:1361412562310843897
HistoryFeb 05, 2019 - 12:00 a.m.

Ubuntu: Security Advisory (USN-3871-2)

2019-02-0500:00:00
Copyright (C) 2019 Greenbone AG
plugins.openvas.org
31

7.2 High

CVSS2

Attack Vector

LOCAL

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

COMPLETE

Availability Impact

COMPLETE

AV:L/AC:L/Au:N/C:C/I:C/A:C

8.8 High

CVSS3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

7.2 High

AI Score

Confidence

Low

0.001 Low

EPSS

Percentile

44.7%

The remote host is missing an update for the

# SPDX-FileCopyrightText: 2019 Greenbone AG
# Some text descriptions might be excerpted from (a) referenced
# source(s), and are Copyright (C) by the respective right holder(s).
#
# SPDX-License-Identifier: GPL-2.0-only

if(description)
{
  script_oid("1.3.6.1.4.1.25623.1.0.843897");
  script_cve_id("CVE-2018-10876", "CVE-2018-10877", "CVE-2018-10878", "CVE-2018-10879", "CVE-2018-10880", "CVE-2018-10882", "CVE-2018-10883", "CVE-2018-14625", "CVE-2018-16882", "CVE-2018-17972");
  script_tag(name:"creation_date", value:"2019-02-05 03:04:54 +0000 (Tue, 05 Feb 2019)");
  script_version("2024-02-02T05:06:07+0000");
  script_tag(name:"last_modification", value:"2024-02-02 05:06:07 +0000 (Fri, 02 Feb 2024)");
  script_tag(name:"cvss_base", value:"7.2");
  script_tag(name:"cvss_base_vector", value:"AV:L/AC:L/Au:N/C:C/I:C/A:C");
  script_tag(name:"severity_vector", value:"CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H");
  script_tag(name:"severity_origin", value:"NVD");
  script_tag(name:"severity_date", value:"2023-01-19 16:04:54 +0000 (Thu, 19 Jan 2023)");

  script_name("Ubuntu: Security Advisory (USN-3871-2)");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2019 Greenbone AG");
  script_family("Ubuntu Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_mandatory_keys("ssh/login/ubuntu_linux", "ssh/login/packages", re:"ssh/login/release=UBUNTU18\.04\ LTS");

  script_xref(name:"Advisory-ID", value:"USN-3871-2");
  script_xref(name:"URL", value:"https://ubuntu.com/security/notices/USN-3871-2");
  script_xref(name:"URL", value:"https://launchpad.net/bugs/1813663");
  script_xref(name:"URL", value:"https://launchpad.net/bugs/1813727");

  script_tag(name:"summary", value:"The remote host is missing an update for the 'linux' package(s) announced via the USN-3871-2 advisory.");

  script_tag(name:"vuldetect", value:"Checks if a vulnerable package version is present on the target host.");

  script_tag(name:"insight", value:"USN-3871-1 fixed vulnerabilities in the Linux kernel for Ubuntu 18.04
LTS. Unfortunately, that update introduced regressions with docking
station displays and mounting ext4 file systems with the meta_bg
option enabled. This update fixes the problems.

We apologize for the inconvenience.

Original advisory details:

 Wen Xu discovered that a use-after-free vulnerability existed in the ext4
 filesystem implementation in the Linux kernel. An attacker could use this
 to construct a malicious ext4 image that, when mounted, could cause a
 denial of service (system crash) or possibly execute arbitrary code.
 (CVE-2018-10876, CVE-2018-10879)

 Wen Xu discovered that a buffer overflow existed in the ext4 filesystem
 implementation in the Linux kernel. An attacker could use this to construct
 a malicious ext4 image that, when mounted, could cause a denial of service
 (system crash) or possibly execute arbitrary code. (CVE-2018-10877)

 Wen Xu discovered that an out-of-bounds write vulnerability existed in the
 ext4 filesystem implementation in the Linux kernel. An attacker could use
 this to construct a malicious ext4 image that, when mounted, could cause a
 denial of service (system crash) or possibly execute arbitrary code.
 (CVE-2018-10878, CVE-2018-10882)

 Wen Xu discovered that the ext4 filesystem implementation in the Linux
 kernel did not properly ensure that xattr information remained in inode
 bodies. An attacker could use this to construct a malicious ext4 image
 that, when mounted, could cause a denial of service (system crash).
 (CVE-2018-10880)

 Wen Xu discovered that the ext4 file system implementation in the Linux
 kernel could possibly perform an out of bounds write when updating the
 journal for an inline file. An attacker could use this to construct a
 malicious ext4 image that, when mounted, could cause a denial of service
 (system crash). (CVE-2018-10883)

 It was discovered that a race condition existed in the vsock address family
 implementation of the Linux kernel that could lead to a use-after-free
 condition. A local attacker in a guest virtual machine could use this to
 expose sensitive information (host machine kernel memory). (CVE-2018-14625)

 Cfir Cohen discovered that a use-after-free vulnerability existed in the
 KVM implementation of the Linux kernel, when handling interrupts in
 environments where nested virtualization is in use (nested KVM
 virtualization is not enabled by default in Ubuntu kernels). A local
 attacker in a guest VM could possibly use this to gain administrative
 privileges in a host machine. (CVE-2018-16882)

 Jann Horn discovered that the procfs file system implementation in the
 Linux kernel did not properly restrict the ability to inspect the kernel
 stack of an arbitrary task. A local attacker could use this to expose
 sensitive information. (CVE-2018-17972)

 Jann Horn discovered that the mremap() system call in the Linux ... [Please see the references for more information on the vulnerabilities]");

  script_tag(name:"affected", value:"'linux' package(s) on Ubuntu 18.04.");

  script_tag(name:"solution", value:"Please install the updated package(s).");

  script_tag(name:"solution_type", value:"VendorFix");
  script_tag(name:"qod_type", value:"package");

  exit(0);
}

include("revisions-lib.inc");
include("pkg-lib-deb.inc");

release = dpkg_get_ssh_release();
if(!release)
  exit(0);

res = "";
report = "";

if(release == "UBUNTU18.04 LTS") {

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-4.15.0-45-generic", ver:"4.15.0-45.48", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-4.15.0-45-generic-lpae", ver:"4.15.0-45.48", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-4.15.0-45-lowlatency", ver:"4.15.0-45.48", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-4.15.0-45-snapdragon", ver:"4.15.0-45.48", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-generic", ver:"4.15.0.45.47", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-generic-lpae", ver:"4.15.0.45.47", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-lowlatency", ver:"4.15.0.45.47", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"linux-image-snapdragon", ver:"4.15.0.45.47", rls:"UBUNTU18.04 LTS"))) {
    report += res;
  }

  if(report != "") {
    security_message(data:report);
  } else if(__pkg_match) {
    exit(99);
  }
  exit(0);
}

exit(0);

7.2 High

CVSS2

Attack Vector

LOCAL

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

COMPLETE

Availability Impact

COMPLETE

AV:L/AC:L/Au:N/C:C/I:C/A:C

8.8 High

CVSS3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

7.2 High

AI Score

Confidence

Low

0.001 Low

EPSS

Percentile

44.7%